      subroutine vli3_all(r,li3_full,li3_3b,li3_int,li3_fit,
     >                          li3_at,li3_pair)
      implicit none
      integer i
      real*8 r(3), perimeter
      real*8 vli3_3b, vli3_int, vli3_fit, vli3_at, vli3_pair, vli3_full
      real*8  li3_3b,  li3_int,  li3_fit,  li3_at,  li3_pair,  li3_full

      perimeter=r(1)+r(2)+r(3)

      li3_3b  =0.d0
      li3_int =0.d0
      li3_fit =0.d0
      li3_at  =0.d0
      li3_pair=0.d0
      li3_full=0.d0

      li3_3b  =vli3_3b(r)
      li3_int =vli3_int(r)
      li3_fit =vli3_fit(r)
      li3_at  =vli3_at(r)
      li3_pair=vli3_pair(r)
      li3_full=li3_3b+li3_pair

      return
      end
